GDBserver

Public Attributes | List of all members
fast_tracepoint_jump Struct Reference

## Public Attributes
struct fast_tracepoint_jump * | next
int | refcount
CORE_ADDR | pc
int | inserted
int | length
unsigned char | insn_and_shadow [0]

## Detailed Description

Definition at line 499 of file mem-break.c.

## Member Data Documentation

## ◆ inserted

int fast_tracepoint_jump::inserted

Definition at line 514 of file mem-break.c.

Referenced by check_mem_read(), check_mem_write(), reinsert_fast_tracepoint_jumps_at(), set_fast_tracepoint_jump(), and uninsert_fast_tracepoint_jumps_at().

## ◆ insn_and_shadow

unsigned char fast_tracepoint_jump::insn_and_shadow[0]

Definition at line 523 of file mem-break.c.

## ◆ length

int fast_tracepoint_jump::length

Definition at line 517 of file mem-break.c.

Referenced by check_mem_read(), check_mem_write(), delete_fast_tracepoint_jump(), reinsert_fast_tracepoint_jumps_at(), set_fast_tracepoint_jump(), and uninsert_fast_tracepoint_jumps_at().

## ◆ next

struct fast_tracepoint_jump* fast_tracepoint_jump::next

Definition at line 501 of file mem-break.c.

Referenced by check_mem_read(), check_mem_write(), delete_fast_tracepoint_jump(), find_fast_tracepoint_jump_at(), and set_fast_tracepoint_jump().

## ◆ pc

CORE_ADDR fast_tracepoint_jump::pc

Definition at line 510 of file mem-break.c.

Referenced by check_mem_read(), check_mem_write(), delete_fast_tracepoint_jump(), find_fast_tracepoint_jump_at(), set_fast_tracepoint_jump(), and uninsert_fast_tracepoint_jumps_at().

## ◆ refcount

int fast_tracepoint_jump::refcount

Definition at line 506 of file mem-break.c.

Referenced by delete_fast_tracepoint_jump(), inc_ref_fast_tracepoint_jump(), and set_fast_tracepoint_jump().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/mem-break.c